Skip to content

Verify Callback URL

When an enterprise administrator saves the callback configuration, BambooCloud IDaaS sends a verification event to the URL callback service to verify the callback address validity.

API Format

ParameterReference
Request URLhttps://{app_domain}/callback
Request MethodPOST
Request HeaderAuthorization: Bearer

Request Parameters

Parameter NameTypeDescription
nonceStringRandom number, used together with timestamp to prevent replay attacks.
timestampIntegerTimestamp, used together with nonce to prevent replay attacks.
eventTypeStringEvent type; here the event type is CHECK_URL.
dataStringWhen encryption is disabled, a plaintext random string is sent.
When encryption is enabled, an encrypted random string is sent. Decrypt it to obtain the message content; the decrypted result contains two fields, random and msg, where msg is the plaintext message content.
signatureStringMessage signature. The signature is computed using the enterprise application's signing key (signatureSaltValue), the request timestamp, nonce, and encrypted message body.

Response Parameters

Parameter NameTypeDescription
codeStringReturned code; 200 indicates success. For failure error codes, see Error Codes.
messageStringResponse result description.
dataStringWhen encryption is disabled, returns the plaintext random string from the request body.
When encryption is enabled, decrypts the encrypted random string from the request body and returns the re-encrypted value. Decrypt it to obtain the message content; the decrypted result contains two fields, random and msg, where msg is the plaintext message content.

Request Example

  • Request example without message signing and encryption
json
{
	"nonce": "bqVHvThFGooCRjSf",
	"timestamp": 1573784783795,
	"eventType": "CHECK_URL",
	"data": "random string",
	"signature": ""
}
  • Request example with message signing and encryption enabled
json
{
	"nonce": "jmgjjEAJbrMzWmUw",
	"timestamp": 15093849585,
	"eventType": "CHECK_URL",
	"data": "jRqGWO08Tyuxq+ChqGFk7SiPCt6MgcUDvzP5CBYnD30=",
	"signature": "K08yDiTEc094KoccOY+VYLQFxxQ="
}

Response Example

Status Code: 200

Request succeeded

  • Response example without message signing and encryption
json
{
	"code": "200",
	"data": " 2852325935078140700",
	"message": "success"
}
  • Response example with message signing and encryption enabled
json
{
	"code": "200",
	"message": "success",
	"data": "u5GkfEdZC0EDvDldLWBK/w=="
}

BambooCloud IDaaS Open Platform